/**
    Copyright 2017 Andrea "Stock" Stocchero

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

	    http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
*/
package org.pepstock.charba.client.commons;

/**
 * Contains all constants where values can be used in different packages.
 * 
 * @author Andrea "Stock" Stocchero
 *
 */
public final class Constants {

	/**
	 * Constant for EMPTY string, <b>{@value}</b>.
	 */
	public static final String EMPTY_STRING = "";

	/**
	 * Constant for NULL string, <b>"&lt;null&gt;"</b>.
	 */
	public static final String NULL_STRING = "<null>";

	/**
	 * Constant for LINE SEPARATOR, <b>{@value}</b>.
	 */
	public static final String LINE_SEPARATOR = "\n";

	/**
	 * Constant for BLANK, <b>{@value}</b>.
	 */
	public static final String BLANK = " ";

	/**
	 * Constant for COMMA, <b>{@value}</b>.
	 */
	public static final String COMMA = ",";

	/**
	 * Constant for PERCENT, <b>{@value}</b>.
	 */
	public static final String PERCENT = "%";

	/**
	 * Constant for OPEN round bracket, <b>{@value}</b>.
	 */
	public static final String OPEN_ROUND_BRACKET = "(";

	/**
	 * Constant for CLOSE round bracket, <b>{@value}</b>.
	 */
	public static final String CLOSE_ROUND_BRACKET = ")";

	/**
	 * Constant for OPEN square bracket, <b>{@value}</b>.
	 */
	public static final String OPEN_SQUARE_BRACKET = "[";

	/**
	 * Constant for CLOSE square bracket, <b>{@value}</b>.
	 */
	public static final String CLOSE_SQUARE_BRACKET = "]";

	/**
	 * Constants for DOT, <b>{@value}</b>.
	 */
	public static final String DOT = ".";

	/**
	 * Constants for UNDERSCORE, <b>{@value}</b>.
	 */
	public static final String UNDERSCORE = "_";

	/**
	 * Constants for LESS THAN, <b>{@value}</b>.
	 */
	public static final String LT = "<";

	/**
	 * Constants for GREATER THAN, <b>{@value}</b>.
	 */
	public static final String GT = ">";

	/**
	 * To avoid any instantiation
	 */
	private Constants() {
		// do nothing
	}

}
